[osg-users] Troubles building osg_Freetype plugin

Jean-Sébastien Guay jean-sebastien.guay at cm-labs.com
Mon Mar 2 09:11:08 PST 2009


Hello Ernesto,

> I have downloaded the 3rdParty dependencies form here (http://www.openscenegraph.org/downloads/dependencies/Windows/VisualStudio7/3rdParty_Win32binaries_2005_05_10.zip).

That's the old 3rdparty package, which is not useful anymore because we 
need a newer version of the Freetype lib in particular, which is why 
you're getting that error.

The Dependencies page clearly states where to get the dependencies for 
VS7.1 (2003):

http://www.openscenegraph.org/projects/osg/wiki/Downloads/Dependencies

"VisualStudio 7.1 - 
https://osgtoy.svn.sourceforge.net/svnroot/osgtoy/3rdParty/branches/3rdParty_win32binaries_vs71/"

(Note that I removed the Visual Studio 7 item in the list, it was 
misleading since VS7 is not really supported and it linked to the old 
dependencies zip from 2005 which will not work as you discovered. The 
page should now be more accurate.)

Hope this helps,

J-S
-- 
______________________________________________________
Jean-Sebastien Guay    jean-sebastien.guay at cm-labs.com
                                http://www.cm-labs.com/
                         http://whitestar02.webhop.org/



More information about the osg-users mailing list